Subject: bug#8504: add more query-replace choice keys

From: Juri Linkov <[email-masked]>
Date: Wed, 11 May 2022 10:13:37 +0300

>> There should be a key to say "yes, replace this occurrence, but
>> keep the case exact"!
>>
>> That way one wouldn't have to fiddle with any other variables and also
>> have the flexibility of two types of case policy, all within the same
>> query-replace session!
>
> I think that sounds like a good idea -- I've often been frustrated by
> this.  I.e., if you have
>
> East
>
> and (query-replace "east" "west") and then hit `E' to edit to weST,
> it'll replace that with EaST.
>
> So a precise-edit command would be nice, where it would replace that
> with weST.

In Isearch the key `M-c' toggles case-fold searching.
Maybe the same key could toggle case-fold replacement in query-replace?